Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/windowmaker: new aport

From: Emily Ingalls <emily_at_ingalls.rocks>
Date: Mon, 18 Jul 2016 12:58:18 -0400

http://www.windowmaker.org
Window manager for X emulating the NeXTSTEP user interface
---
 testing/windowmaker/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/windowmaker/APKBUILD
diff --git a/testing/windowmaker/APKBUILD b/testing/windowmaker/APKBUILD
new file mode 100644
index 0000000..6e9c13a
--- /dev/null
+++ b/testing/windowmaker/APKBUILD
_at_@ -0,0 +1,38 @@
+# Contributor: Emily Ingalls <emily_at_ingalls.rocks>
+# Maintainer: Emily Ingalls <emily_at_ingalls.rocks>
+pkgname=windowmaker
+pkgver=0.95.7
+pkgrel=0
+pkgdesc="Window manager for X emulating the NeXTSTEP user interface"
+url="http://www.windowmaker.org"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="libx11-dev libxmu-dev libxft-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://windowmaker.org/pub/source/release/WindowMaker-$pkgver.tar.gz"
+
+_builddir="$srcdir"/WindowMaker-$pkgver
+build() {
+	echo "CD to $_builddir"
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--disable-static \
+		--enable-modelock \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="082c31d4b7b573518a960e8a879679d7  WindowMaker-0.95.7.tar.gz"
+sha256sums="842d486c4b212b19d10dbae2c315c6ff20c6e651471eaa45214b3b832d8097a9  WindowMaker-0.95.7.tar.gz"
+sha512sums="9c1190503efdc58c11a90d5ba80796979cdc9f2beb69a6d233ffc8d531a54c877c5270841bf6318738069098cd488e5ab77ac19f661ac888e892bf05ac22d93f  WindowMaker-0.95.7.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Jul 18 2016 - 12:58:18 GMT